Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network236.78.48.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
236.78.48.0
Broadcast address
236.78.63.255
First usable
236.78.48.1
Last usable
236.78.63.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EC4E3000 · Integer 3964547072 to 3964551167
Reverse DNS zones
48.78.236.in-addr.arpa
49.78.236.in-addr.arpa
50.78.236.in-addr.arpa
51.78.236.in-addr.arpa
52.78.236.in-addr.arpa
53.78.236.in-addr.arpa
54.78.236.in-addr.arpa
55.78.236.in-addr.arpa
56.78.236.in-addr.arpa
57.78.236.in-addr.arpa
58.78.236.in-addr.arpa
59.78.236.in-addr.arpa
60.78.236.in-addr.arpa
61.78.236.in-addr.arpa
62.78.236.in-addr.arpa
63.78.236.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101100.01001110.00110000.00000000236.78.48.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11101100.01001110.00110000.00000000236.78.48.0
Broadcast11101100.01001110.00111111.11111111236.78.63.255
Split into smaller subnets/28

236.78.48.0/20 makes 256 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1236.78.48.0/28236.78.48.1 to 236.78.48.14236.78.48.1514
2236.78.48.16/28236.78.48.17 to 236.78.48.30236.78.48.3114
3236.78.48.32/28236.78.48.33 to 236.78.48.46236.78.48.4714
4236.78.48.48/28236.78.48.49 to 236.78.48.62236.78.48.6314
5236.78.48.64/28236.78.48.65 to 236.78.48.78236.78.48.7914
6236.78.48.80/28236.78.48.81 to 236.78.48.94236.78.48.9514
7236.78.48.96/28236.78.48.97 to 236.78.48.110236.78.48.11114
8236.78.48.112/28236.78.48.113 to 236.78.48.126236.78.48.12714
9236.78.48.128/28236.78.48.129 to 236.78.48.142236.78.48.14314
10236.78.48.144/28236.78.48.145 to 236.78.48.158236.78.48.15914
11236.78.48.160/28236.78.48.161 to 236.78.48.174236.78.48.17514
12236.78.48.176/28236.78.48.177 to 236.78.48.190236.78.48.19114
13236.78.48.192/28236.78.48.193 to 236.78.48.206236.78.48.20714
14236.78.48.208/28236.78.48.209 to 236.78.48.222236.78.48.22314
15236.78.48.224/28236.78.48.225 to 236.78.48.238236.78.48.23914
16236.78.48.240/28236.78.48.241 to 236.78.48.254236.78.48.25514
17236.78.49.0/28236.78.49.1 to 236.78.49.14236.78.49.1514
18236.78.49.16/28236.78.49.17 to 236.78.49.30236.78.49.3114
19236.78.49.32/28236.78.49.33 to 236.78.49.46236.78.49.4714
20236.78.49.48/28236.78.49.49 to 236.78.49.62236.78.49.6314
21236.78.49.64/28236.78.49.65 to 236.78.49.78236.78.49.7914
22236.78.49.80/28236.78.49.81 to 236.78.49.94236.78.49.9514
23236.78.49.96/28236.78.49.97 to 236.78.49.110236.78.49.11114
24236.78.49.112/28236.78.49.113 to 236.78.49.126236.78.49.12714
25236.78.49.128/28236.78.49.129 to 236.78.49.142236.78.49.14314
26236.78.49.144/28236.78.49.145 to 236.78.49.158236.78.49.15914
27236.78.49.160/28236.78.49.161 to 236.78.49.174236.78.49.17514
28236.78.49.176/28236.78.49.177 to 236.78.49.190236.78.49.19114
29236.78.49.192/28236.78.49.193 to 236.78.49.206236.78.49.20714
30236.78.49.208/28236.78.49.209 to 236.78.49.222236.78.49.22314
31236.78.49.224/28236.78.49.225 to 236.78.49.238236.78.49.23914
32236.78.49.240/28236.78.49.241 to 236.78.49.254236.78.49.25514
33236.78.50.0/28236.78.50.1 to 236.78.50.14236.78.50.1514
34236.78.50.16/28236.78.50.17 to 236.78.50.30236.78.50.3114
35236.78.50.32/28236.78.50.33 to 236.78.50.46236.78.50.4714
36236.78.50.48/28236.78.50.49 to 236.78.50.62236.78.50.6314
37236.78.50.64/28236.78.50.65 to 236.78.50.78236.78.50.7914
38236.78.50.80/28236.78.50.81 to 236.78.50.94236.78.50.9514
39236.78.50.96/28236.78.50.97 to 236.78.50.110236.78.50.11114
40236.78.50.112/28236.78.50.113 to 236.78.50.126236.78.50.12714
41236.78.50.128/28236.78.50.129 to 236.78.50.142236.78.50.14314
42236.78.50.144/28236.78.50.145 to 236.78.50.158236.78.50.15914
43236.78.50.160/28236.78.50.161 to 236.78.50.174236.78.50.17514
44236.78.50.176/28236.78.50.177 to 236.78.50.190236.78.50.19114
45236.78.50.192/28236.78.50.193 to 236.78.50.206236.78.50.20714
46236.78.50.208/28236.78.50.209 to 236.78.50.222236.78.50.22314
47236.78.50.224/28236.78.50.225 to 236.78.50.238236.78.50.23914
48236.78.50.240/28236.78.50.241 to 236.78.50.254236.78.50.25514
49236.78.51.0/28236.78.51.1 to 236.78.51.14236.78.51.1514
50236.78.51.16/28236.78.51.17 to 236.78.51.30236.78.51.3114
51236.78.51.32/28236.78.51.33 to 236.78.51.46236.78.51.4714
52236.78.51.48/28236.78.51.49 to 236.78.51.62236.78.51.6314
53236.78.51.64/28236.78.51.65 to 236.78.51.78236.78.51.7914
54236.78.51.80/28236.78.51.81 to 236.78.51.94236.78.51.9514
55236.78.51.96/28236.78.51.97 to 236.78.51.110236.78.51.11114
56236.78.51.112/28236.78.51.113 to 236.78.51.126236.78.51.12714
57236.78.51.128/28236.78.51.129 to 236.78.51.142236.78.51.14314
58236.78.51.144/28236.78.51.145 to 236.78.51.158236.78.51.15914
59236.78.51.160/28236.78.51.161 to 236.78.51.174236.78.51.17514
60236.78.51.176/28236.78.51.177 to 236.78.51.190236.78.51.19114
61236.78.51.192/28236.78.51.193 to 236.78.51.206236.78.51.20714
62236.78.51.208/28236.78.51.209 to 236.78.51.222236.78.51.22314
63236.78.51.224/28236.78.51.225 to 236.78.51.238236.78.51.23914
64236.78.51.240/28236.78.51.241 to 236.78.51.254236.78.51.25514
65236.78.52.0/28236.78.52.1 to 236.78.52.14236.78.52.1514
66236.78.52.16/28236.78.52.17 to 236.78.52.30236.78.52.3114
67236.78.52.32/28236.78.52.33 to 236.78.52.46236.78.52.4714
68236.78.52.48/28236.78.52.49 to 236.78.52.62236.78.52.6314
69236.78.52.64/28236.78.52.65 to 236.78.52.78236.78.52.7914
70236.78.52.80/28236.78.52.81 to 236.78.52.94236.78.52.9514
71236.78.52.96/28236.78.52.97 to 236.78.52.110236.78.52.11114
72236.78.52.112/28236.78.52.113 to 236.78.52.126236.78.52.12714
73236.78.52.128/28236.78.52.129 to 236.78.52.142236.78.52.14314
74236.78.52.144/28236.78.52.145 to 236.78.52.158236.78.52.15914
75236.78.52.160/28236.78.52.161 to 236.78.52.174236.78.52.17514
76236.78.52.176/28236.78.52.177 to 236.78.52.190236.78.52.19114
77236.78.52.192/28236.78.52.193 to 236.78.52.206236.78.52.20714
78236.78.52.208/28236.78.52.209 to 236.78.52.222236.78.52.22314
79236.78.52.224/28236.78.52.225 to 236.78.52.238236.78.52.23914
80236.78.52.240/28236.78.52.241 to 236.78.52.254236.78.52.25514
81236.78.53.0/28236.78.53.1 to 236.78.53.14236.78.53.1514
82236.78.53.16/28236.78.53.17 to 236.78.53.30236.78.53.3114
83236.78.53.32/28236.78.53.33 to 236.78.53.46236.78.53.4714
84236.78.53.48/28236.78.53.49 to 236.78.53.62236.78.53.6314
85236.78.53.64/28236.78.53.65 to 236.78.53.78236.78.53.7914
86236.78.53.80/28236.78.53.81 to 236.78.53.94236.78.53.9514
87236.78.53.96/28236.78.53.97 to 236.78.53.110236.78.53.11114
88236.78.53.112/28236.78.53.113 to 236.78.53.126236.78.53.12714
89236.78.53.128/28236.78.53.129 to 236.78.53.142236.78.53.14314
90236.78.53.144/28236.78.53.145 to 236.78.53.158236.78.53.15914
91236.78.53.160/28236.78.53.161 to 236.78.53.174236.78.53.17514
92236.78.53.176/28236.78.53.177 to 236.78.53.190236.78.53.19114
93236.78.53.192/28236.78.53.193 to 236.78.53.206236.78.53.20714
94236.78.53.208/28236.78.53.209 to 236.78.53.222236.78.53.22314
95236.78.53.224/28236.78.53.225 to 236.78.53.238236.78.53.23914
96236.78.53.240/28236.78.53.241 to 236.78.53.254236.78.53.25514
97236.78.54.0/28236.78.54.1 to 236.78.54.14236.78.54.1514
98236.78.54.16/28236.78.54.17 to 236.78.54.30236.78.54.3114
99236.78.54.32/28236.78.54.33 to 236.78.54.46236.78.54.4714
100236.78.54.48/28236.78.54.49 to 236.78.54.62236.78.54.6314
101236.78.54.64/28236.78.54.65 to 236.78.54.78236.78.54.7914
102236.78.54.80/28236.78.54.81 to 236.78.54.94236.78.54.9514
103236.78.54.96/28236.78.54.97 to 236.78.54.110236.78.54.11114
104236.78.54.112/28236.78.54.113 to 236.78.54.126236.78.54.12714
105236.78.54.128/28236.78.54.129 to 236.78.54.142236.78.54.14314
106236.78.54.144/28236.78.54.145 to 236.78.54.158236.78.54.15914
107236.78.54.160/28236.78.54.161 to 236.78.54.174236.78.54.17514
108236.78.54.176/28236.78.54.177 to 236.78.54.190236.78.54.19114
109236.78.54.192/28236.78.54.193 to 236.78.54.206236.78.54.20714
110236.78.54.208/28236.78.54.209 to 236.78.54.222236.78.54.22314
111236.78.54.224/28236.78.54.225 to 236.78.54.238236.78.54.23914
112236.78.54.240/28236.78.54.241 to 236.78.54.254236.78.54.25514
113236.78.55.0/28236.78.55.1 to 236.78.55.14236.78.55.1514
114236.78.55.16/28236.78.55.17 to 236.78.55.30236.78.55.3114
115236.78.55.32/28236.78.55.33 to 236.78.55.46236.78.55.4714
116236.78.55.48/28236.78.55.49 to 236.78.55.62236.78.55.6314
117236.78.55.64/28236.78.55.65 to 236.78.55.78236.78.55.7914
118236.78.55.80/28236.78.55.81 to 236.78.55.94236.78.55.9514
119236.78.55.96/28236.78.55.97 to 236.78.55.110236.78.55.11114
120236.78.55.112/28236.78.55.113 to 236.78.55.126236.78.55.12714
121236.78.55.128/28236.78.55.129 to 236.78.55.142236.78.55.14314
122236.78.55.144/28236.78.55.145 to 236.78.55.158236.78.55.15914
123236.78.55.160/28236.78.55.161 to 236.78.55.174236.78.55.17514
124236.78.55.176/28236.78.55.177 to 236.78.55.190236.78.55.19114
125236.78.55.192/28236.78.55.193 to 236.78.55.206236.78.55.20714
126236.78.55.208/28236.78.55.209 to 236.78.55.222236.78.55.22314
127236.78.55.224/28236.78.55.225 to 236.78.55.238236.78.55.23914
128236.78.55.240/28236.78.55.241 to 236.78.55.254236.78.55.25514
129236.78.56.0/28236.78.56.1 to 236.78.56.14236.78.56.1514
130236.78.56.16/28236.78.56.17 to 236.78.56.30236.78.56.3114
131236.78.56.32/28236.78.56.33 to 236.78.56.46236.78.56.4714
132236.78.56.48/28236.78.56.49 to 236.78.56.62236.78.56.6314
133236.78.56.64/28236.78.56.65 to 236.78.56.78236.78.56.7914
134236.78.56.80/28236.78.56.81 to 236.78.56.94236.78.56.9514
135236.78.56.96/28236.78.56.97 to 236.78.56.110236.78.56.11114
136236.78.56.112/28236.78.56.113 to 236.78.56.126236.78.56.12714
137236.78.56.128/28236.78.56.129 to 236.78.56.142236.78.56.14314
138236.78.56.144/28236.78.56.145 to 236.78.56.158236.78.56.15914
139236.78.56.160/28236.78.56.161 to 236.78.56.174236.78.56.17514
140236.78.56.176/28236.78.56.177 to 236.78.56.190236.78.56.19114
141236.78.56.192/28236.78.56.193 to 236.78.56.206236.78.56.20714
142236.78.56.208/28236.78.56.209 to 236.78.56.222236.78.56.22314
143236.78.56.224/28236.78.56.225 to 236.78.56.238236.78.56.23914
144236.78.56.240/28236.78.56.241 to 236.78.56.254236.78.56.25514
145236.78.57.0/28236.78.57.1 to 236.78.57.14236.78.57.1514
146236.78.57.16/28236.78.57.17 to 236.78.57.30236.78.57.3114
147236.78.57.32/28236.78.57.33 to 236.78.57.46236.78.57.4714
148236.78.57.48/28236.78.57.49 to 236.78.57.62236.78.57.6314
149236.78.57.64/28236.78.57.65 to 236.78.57.78236.78.57.7914
150236.78.57.80/28236.78.57.81 to 236.78.57.94236.78.57.9514
151236.78.57.96/28236.78.57.97 to 236.78.57.110236.78.57.11114
152236.78.57.112/28236.78.57.113 to 236.78.57.126236.78.57.12714
153236.78.57.128/28236.78.57.129 to 236.78.57.142236.78.57.14314
154236.78.57.144/28236.78.57.145 to 236.78.57.158236.78.57.15914
155236.78.57.160/28236.78.57.161 to 236.78.57.174236.78.57.17514
156236.78.57.176/28236.78.57.177 to 236.78.57.190236.78.57.19114
157236.78.57.192/28236.78.57.193 to 236.78.57.206236.78.57.20714
158236.78.57.208/28236.78.57.209 to 236.78.57.222236.78.57.22314
159236.78.57.224/28236.78.57.225 to 236.78.57.238236.78.57.23914
160236.78.57.240/28236.78.57.241 to 236.78.57.254236.78.57.25514
161236.78.58.0/28236.78.58.1 to 236.78.58.14236.78.58.1514
162236.78.58.16/28236.78.58.17 to 236.78.58.30236.78.58.3114
163236.78.58.32/28236.78.58.33 to 236.78.58.46236.78.58.4714
164236.78.58.48/28236.78.58.49 to 236.78.58.62236.78.58.6314
165236.78.58.64/28236.78.58.65 to 236.78.58.78236.78.58.7914
166236.78.58.80/28236.78.58.81 to 236.78.58.94236.78.58.9514
167236.78.58.96/28236.78.58.97 to 236.78.58.110236.78.58.11114
168236.78.58.112/28236.78.58.113 to 236.78.58.126236.78.58.12714
169236.78.58.128/28236.78.58.129 to 236.78.58.142236.78.58.14314
170236.78.58.144/28236.78.58.145 to 236.78.58.158236.78.58.15914
171236.78.58.160/28236.78.58.161 to 236.78.58.174236.78.58.17514
172236.78.58.176/28236.78.58.177 to 236.78.58.190236.78.58.19114
173236.78.58.192/28236.78.58.193 to 236.78.58.206236.78.58.20714
174236.78.58.208/28236.78.58.209 to 236.78.58.222236.78.58.22314
175236.78.58.224/28236.78.58.225 to 236.78.58.238236.78.58.23914
176236.78.58.240/28236.78.58.241 to 236.78.58.254236.78.58.25514
177236.78.59.0/28236.78.59.1 to 236.78.59.14236.78.59.1514
178236.78.59.16/28236.78.59.17 to 236.78.59.30236.78.59.3114
179236.78.59.32/28236.78.59.33 to 236.78.59.46236.78.59.4714
180236.78.59.48/28236.78.59.49 to 236.78.59.62236.78.59.6314
181236.78.59.64/28236.78.59.65 to 236.78.59.78236.78.59.7914
182236.78.59.80/28236.78.59.81 to 236.78.59.94236.78.59.9514
183236.78.59.96/28236.78.59.97 to 236.78.59.110236.78.59.11114
184236.78.59.112/28236.78.59.113 to 236.78.59.126236.78.59.12714
185236.78.59.128/28236.78.59.129 to 236.78.59.142236.78.59.14314
186236.78.59.144/28236.78.59.145 to 236.78.59.158236.78.59.15914
187236.78.59.160/28236.78.59.161 to 236.78.59.174236.78.59.17514
188236.78.59.176/28236.78.59.177 to 236.78.59.190236.78.59.19114
189236.78.59.192/28236.78.59.193 to 236.78.59.206236.78.59.20714
190236.78.59.208/28236.78.59.209 to 236.78.59.222236.78.59.22314
191236.78.59.224/28236.78.59.225 to 236.78.59.238236.78.59.23914
192236.78.59.240/28236.78.59.241 to 236.78.59.254236.78.59.25514
193236.78.60.0/28236.78.60.1 to 236.78.60.14236.78.60.1514
194236.78.60.16/28236.78.60.17 to 236.78.60.30236.78.60.3114
195236.78.60.32/28236.78.60.33 to 236.78.60.46236.78.60.4714
196236.78.60.48/28236.78.60.49 to 236.78.60.62236.78.60.6314
197236.78.60.64/28236.78.60.65 to 236.78.60.78236.78.60.7914
198236.78.60.80/28236.78.60.81 to 236.78.60.94236.78.60.9514
199236.78.60.96/28236.78.60.97 to 236.78.60.110236.78.60.11114
200236.78.60.112/28236.78.60.113 to 236.78.60.126236.78.60.12714
201236.78.60.128/28236.78.60.129 to 236.78.60.142236.78.60.14314
202236.78.60.144/28236.78.60.145 to 236.78.60.158236.78.60.15914
203236.78.60.160/28236.78.60.161 to 236.78.60.174236.78.60.17514
204236.78.60.176/28236.78.60.177 to 236.78.60.190236.78.60.19114
205236.78.60.192/28236.78.60.193 to 236.78.60.206236.78.60.20714
206236.78.60.208/28236.78.60.209 to 236.78.60.222236.78.60.22314
207236.78.60.224/28236.78.60.225 to 236.78.60.238236.78.60.23914
208236.78.60.240/28236.78.60.241 to 236.78.60.254236.78.60.25514
209236.78.61.0/28236.78.61.1 to 236.78.61.14236.78.61.1514
210236.78.61.16/28236.78.61.17 to 236.78.61.30236.78.61.3114
211236.78.61.32/28236.78.61.33 to 236.78.61.46236.78.61.4714
212236.78.61.48/28236.78.61.49 to 236.78.61.62236.78.61.6314
213236.78.61.64/28236.78.61.65 to 236.78.61.78236.78.61.7914
214236.78.61.80/28236.78.61.81 to 236.78.61.94236.78.61.9514
215236.78.61.96/28236.78.61.97 to 236.78.61.110236.78.61.11114
216236.78.61.112/28236.78.61.113 to 236.78.61.126236.78.61.12714
217236.78.61.128/28236.78.61.129 to 236.78.61.142236.78.61.14314
218236.78.61.144/28236.78.61.145 to 236.78.61.158236.78.61.15914
219236.78.61.160/28236.78.61.161 to 236.78.61.174236.78.61.17514
220236.78.61.176/28236.78.61.177 to 236.78.61.190236.78.61.19114
221236.78.61.192/28236.78.61.193 to 236.78.61.206236.78.61.20714
222236.78.61.208/28236.78.61.209 to 236.78.61.222236.78.61.22314
223236.78.61.224/28236.78.61.225 to 236.78.61.238236.78.61.23914
224236.78.61.240/28236.78.61.241 to 236.78.61.254236.78.61.25514
225236.78.62.0/28236.78.62.1 to 236.78.62.14236.78.62.1514
226236.78.62.16/28236.78.62.17 to 236.78.62.30236.78.62.3114
227236.78.62.32/28236.78.62.33 to 236.78.62.46236.78.62.4714
228236.78.62.48/28236.78.62.49 to 236.78.62.62236.78.62.6314
229236.78.62.64/28236.78.62.65 to 236.78.62.78236.78.62.7914
230236.78.62.80/28236.78.62.81 to 236.78.62.94236.78.62.9514
231236.78.62.96/28236.78.62.97 to 236.78.62.110236.78.62.11114
232236.78.62.112/28236.78.62.113 to 236.78.62.126236.78.62.12714
233236.78.62.128/28236.78.62.129 to 236.78.62.142236.78.62.14314
234236.78.62.144/28236.78.62.145 to 236.78.62.158236.78.62.15914
235236.78.62.160/28236.78.62.161 to 236.78.62.174236.78.62.17514
236236.78.62.176/28236.78.62.177 to 236.78.62.190236.78.62.19114
237236.78.62.192/28236.78.62.193 to 236.78.62.206236.78.62.20714
238236.78.62.208/28236.78.62.209 to 236.78.62.222236.78.62.22314
239236.78.62.224/28236.78.62.225 to 236.78.62.238236.78.62.23914
240236.78.62.240/28236.78.62.241 to 236.78.62.254236.78.62.25514
241236.78.63.0/28236.78.63.1 to 236.78.63.14236.78.63.1514
242236.78.63.16/28236.78.63.17 to 236.78.63.30236.78.63.3114
243236.78.63.32/28236.78.63.33 to 236.78.63.46236.78.63.4714
244236.78.63.48/28236.78.63.49 to 236.78.63.62236.78.63.6314
245236.78.63.64/28236.78.63.65 to 236.78.63.78236.78.63.7914
246236.78.63.80/28236.78.63.81 to 236.78.63.94236.78.63.9514
247236.78.63.96/28236.78.63.97 to 236.78.63.110236.78.63.11114
248236.78.63.112/28236.78.63.113 to 236.78.63.126236.78.63.12714
249236.78.63.128/28236.78.63.129 to 236.78.63.142236.78.63.14314
250236.78.63.144/28236.78.63.145 to 236.78.63.158236.78.63.15914
251236.78.63.160/28236.78.63.161 to 236.78.63.174236.78.63.17514
252236.78.63.176/28236.78.63.177 to 236.78.63.190236.78.63.19114
253236.78.63.192/28236.78.63.193 to 236.78.63.206236.78.63.20714
254236.78.63.208/28236.78.63.209 to 236.78.63.222236.78.63.22314
255236.78.63.224/28236.78.63.225 to 236.78.63.238236.78.63.23914
256236.78.63.240/28236.78.63.241 to 236.78.63.254236.78.63.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses